\version "2.18.2"

\language "deutsch"

stdVoiceSettings = {
	\compressFullBarRests
	\set Score.markFormatter = #format-mark-box-alphabet
	\autoBeamOff
}

\header {
	title = "Komm', süßer Tod"
	composer = "Johann Sebastian Bach (1685-1750)"
	% poet = ""
	% subtitle = ""
}

it = { \override LyricText.font-shape = #'italic }
nf = { \override LyricText.font-shape = #'upright }
sIM = { \set ignoreMelismata = ##t }
uIM = { \unset ignoreMelismata }
sD = { \slurDotted }
sS = { \slurSolid }
one_four = { \set Timing.measureLength = #(ly:make-moment 1 4) }
two_four = { \set Timing.measureLength = #(ly:make-moment 2 4) }
three_four = { \set Timing.measureLength = #(ly:make-moment 3 4) }
four_four = { \set Timing.measureLength = #(ly:make-moment 4 4) }
stdLySettings = {
	\override LyricHyphen.minimum-distance = #1.0 % Ensure hyphens are visible
	\override Lyrics.LyricSpace.minimum-distance = #1.0 % Set a minimum distance for syllables
}
staffSize = #(define-music-function (parser location new-size) (number?)
#{
	\set fontSize = #new-size
	\override StaffSymbol.staff-space = #(magstep new-size)
	\override StaffSymbol.thickness = #(magstep new-size)
#})
Caesura = {
	\once \override BreathingSign.text = \markup {
		\musicglyph #"scripts.caesura.straight"
	}
	\breathe
}
blankPage =
{
	\once \override Staff.Clef #'transparent = ##t
	\once \override Staff.KeySignature #'transparent = ##t
	\once \override Score.BarNumber #'transparent = ##t
	\once \override Score.TimeSignature #'transparent = ##t
	\override Staff.StaffSymbol #'line-count = 0
	\stopStaff s1*1/64 \startStaff
	% \set Score.currentBarNumber = #(- (ly:context-property context 'currentBarNumber) 1)
	%\once \override TextScript #'extra-offset = #'( -10.0 . -60.0 )
	%s1*63/64 _\markup { "(this page has been left blank to facilitate page turning)" }
	\bar " "
	%\revert Staff.StaffSymbol #'line-count
	%\stopStaff \startStaff
	\pageBreak
}

#(set-global-staff-size 16.0)
#(set-default-paper-size "a4")
\paper {
	line-width    = 170\mm
	left-margin   = 20\mm
	top-margin    = 30\mm
	bottom-margin = 20\mm
	% system-separator-markup = \slashSeparator
	% system-system-spacing.basic-distance = #20
	% first-page-number = #2
	% print-first-page-number = ##t
	tagline = ##f
}

\include "Bach, Johann Sebastian - Komm, süßer Tod.bookpart.ly"

\score {
	\BachJohannSebastianKommSuesserTod
	\layout {
		\context {
			% \Staff \RemoveEmptyStaves
			\override VerticalAxisGroup.remove-first = ##t
		}
	}
}

\score {
	% \unfoldRepeats
	\BachJohannSebastianKommSuesserTod
	\midi {
		% \tempo 4 = 120
		\context {
			\Score
			midiMinimumVolume = #0.9
			midiMaximumVolume = #0.9
		}
	}
}

% partial measures after
% Zu Beginn des entsprechenden Takts (z.B. nur 3/4 obwohl nominell 4/4)
%	\set Timing.measureLength = #(ly:make-moment 3 4)
%	zu Beginn des nächsten Taktes dann wieder die Korrektur:
%	\set Timing.measureLength = #(ly:make-moment 4 4)
%	zu Beginn des nächsten Taktes dann wieder die Korrektur:
